#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
};

static const struct modversion_info ____versions[]
__attribute_used__
__attribute__((section("__versions"))) = {
	{ 0x1d64c9b5, "struct_module" },
	{ 0x5611e4ec, "param_get_bool" },
	{ 0xdc76cbcb, "param_set_bool" },
	{ 0xa4bcddd6, "usb_deregister" },
	{ 0xe639d21b, "usb_serial_deregister" },
	{ 0xd7b05f, "usb_register_driver" },
	{ 0x92b337cc, "usb_serial_register" },
	{ 0x7d11c268, "jiffies" },
	{ 0x785c34d9, "tty_get_baud_rate" },
	{ 0xa544e32c, "usb_control_msg" },
	{ 0xf63c965a, "kmem_cache_alloc" },
	{ 0xe2c930e1, "malloc_sizes" },
	{ 0x66d9f144, "tty_flip_buffer_push" },
	{ 0x1ef97c17, "tty_insert_flip_string" },
	{ 0x224baeeb, "tty_buffer_request_room" },
	{ 0x4292364c, "schedule" },
	{ 0x2f287f0d, "copy_to_user" },
	{ 0x8b9d6879, "usb_kill_urb" },
	{ 0x48b47d33, "usb_alloc_urb" },
	{ 0x2a7b11d4, "finish_wait" },
	{ 0x17d59d01, "schedule_timeout" },
	{ 0x7d1ed1f2, "prepare_to_wait" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0xc281c899, "__wake_up" },
	{ 0x264b9d81, "usb_free_urb" },
	{ 0x15c034e9, "tty_wakeup" },
	{ 0x707f93dd, "preempt_schedule" },
	{ 0x5b41640c, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0xd81b93de, "usb_get_descriptor" },
	{ 0x1b7d4074, "printk" },
	{ 0x5d458b57, "usb_serial_disconnect" },
	{ 0x752106f, "usb_serial_probe" },
};

static const char __module_depends[]
__attribute_used__
__attribute__((section(".modinfo"))) =
"depends=usbserial";

MODULE_ALIAS("usb:v1608p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p1403d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0012d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p001Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0019d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0013d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0014d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0018d*dc*dsc*dp*ic*isc*ip*");
